Bug 184072 - OGL call freezes X11
OGL call freezes X11
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 16:59 EST by Michael Godfrey
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: FC7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 10:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source of program which seg faults X11 (3.48 MB, application/x-compressed)
2006-03-13 12:48 EST, Michael Godfrey
no flags Details
Xorg.log.old (from FC5 release, updated to 27 March) (38.20 KB, text/plain)
2006-03-27 19:08 EST, Michael Godfrey
no flags Details
zip file containg xorg.conf, Xorg.0.log, and rpm.xorg (11.84 KB, application/zip)
2006-07-22 20:20 EDT, Michael Godfrey
no flags Details

  None (edit)
Description Michael Godfrey 2006-03-05 16:59:48 EST
Description of problem:
Application (MAgic) which uses OGL cause X11 to crash

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Run application
2. click on "toolbar"
3.
  
Actual results:
X11 crash

Expected results:
application continues

Additional info:

X Window System Version 7.0.0
Release Date: 21 December 2005
X Protocol Version 11, Revision 0, Release 7.0
Build Operating System:Linux 2.6.9-22.18.bz155725.ELsmp i686Red Hat, Inc.
Current Operating System: Linux godfrey-pbdsl2 2.6.15-1.2009.4.2_FC5 #1 Thu Mar
2 18:10:16 EST 2006 i686
Build Date: 22 February 2006
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Mar  5 13:36:15 2006
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Videocard0"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/share/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.2
	X.Org Video Driver: 0.8
	X.Org XInput driver : 0.5
	X.Org Server Extension : 0.2
	X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/lib/xorg/modules/fonts/libbitmap.so
(II) Module bitmap: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules/libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.8
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1039,0651 card 1039,0651 rev 02 class 06,00,00 hdr 80
(II) PCI: 00:01:0: chip 1039,0001 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:02:0: chip 1039,0962 card 0000,0000 rev 14 class 06,01,00 hdr 80
(II) PCI: 00:02:1: chip 1039,0016 card 0000,0000 rev 00 class 0c,05,00 hdr 00
(II) PCI: 00:02:5: chip 1039,5513 card 1039,5513 rev 00 class 01,01,80 hdr 00
(II) PCI: 00:02:7: chip 1039,7012 card 1297,c120 rev a0 class 04,01,00 hdr 00
(II) PCI: 00:03:0: chip 1039,7001 card 1039,7001 rev 0f class 0c,03,10 hdr 80
(II) PCI: 00:03:1: chip 1039,7001 card 1039,7001 rev 0f class 0c,03,10 hdr 00
(II) PCI: 00:03:2: chip 1039,7001 card 1039,7001 rev 0f class 0c,03,10 hdr 00
(II) PCI: 00:03:3: chip 1039,7002 card 1297,f451 rev 00 class 0c,03,20 hdr 00
(II) PCI: 00:0a:0: chip 168c,0013 card 1186,3a13 rev 01 class 02,00,00 hdr 00
(II) PCI: 00:0f:0: chip 10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr 00
(II) PCI: 00:10:0: chip 1106,3044 card 1106,3044 rev 46 class 0c,00,10 hdr 00
(II) PCI: 01:00:0: chip 1002,5960 card 1002,2002 rev 01 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,1), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000e (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[1] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[2] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B]
	[3] -1	0	0x0000dc00 - 0x0000dcff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xe4000000 - 0xe5ffffff (0x2000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:2:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(1:0:0) ATI Technologies Inc RV280 [Radeon 9200 PRO] rev 1, Mem @
0xd0000000/28, 0xe5000000/16, I/O @ 0xd000/8
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe0000000 from 0xe3ffffff to 0xdfffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xe6015000 - 0xe60157ff (0x800) MX[B]
	[1] -1	0	0xe6014000 - 0xe60140ff (0x100) MX[B]
	[2] -1	0	0xe6000000 - 0xe600ffff (0x10000) MX[B]
	[3] -1	0	0xe6012000 - 0xe6012fff (0x1000) MX[B]
	[4] -1	0	0xe6011000 - 0xe6011fff (0x1000) MX[B]
	[5] -1	0	0xe6010000 - 0xe6010fff (0x1000) MX[B]
	[6] -1	0	0xe6013000 - 0xe6013fff (0x1000) MX[B]
	[7] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[8] -1	0	0xe5000000 - 0xe500ffff (0x10000) MX[B](B)
	[9] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[10] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[11] -1	0	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[12] -1	0	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[13] -1	0	0x0000e000 - 0x0000e0ff (0x100) IX[B]
	[14] -1	0	0x00004000 - 0x0000400f (0x10) IX[B]
	[15] -1	0	0x000010c0 - 0x000010df (0x20) IX[B]
	[16] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xe6015000 - 0xe60157ff (0x800) MX[B]
	[1] -1	0	0xe6014000 - 0xe60140ff (0x100) MX[B]
	[2] -1	0	0xe6000000 - 0xe600ffff (0x10000) MX[B]
	[3] -1	0	0xe6012000 - 0xe6012fff (0x1000) MX[B]
	[4] -1	0	0xe6011000 - 0xe6011fff (0x1000) MX[B]
	[5] -1	0	0xe6010000 - 0xe6010fff (0x1000) MX[B]
	[6] -1	0	0xe6013000 - 0xe6013fff (0x1000) MX[B]
	[7] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[8] -1	0	0xe5000000 - 0xe500ffff (0x10000) MX[B](B)
	[9] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[10] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[11] -1	0	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[12] -1	0	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[13] -1	0	0x0000e000 - 0x0000e0ff (0x100) IX[B]
	[14] -1	0	0x00004000 - 0x0000400f (0x10) IX[B]
	[15] -1	0	0x000010c0 - 0x000010df (0x20) IX[B]
	[16] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe6015000 - 0xe60157ff (0x800) MX[B]
	[6] -1	0	0xe6014000 - 0xe60140ff (0x100) MX[B]
	[7] -1	0	0xe6000000 - 0xe600ffff (0x10000) MX[B]
	[8] -1	0	0xe6012000 - 0xe6012fff (0x1000) MX[B]
	[9] -1	0	0xe6011000 - 0xe6011fff (0x1000) MX[B]
	[10] -1	0	0xe6010000 - 0xe6010fff (0x1000) MX[B]
	[11] -1	0	0xe6013000 - 0xe6013fff (0x1000) MX[B]
	[12] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[13] -1	0	0xe5000000 - 0xe500ffff (0x10000) MX[B](B)
	[14] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[15] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[18] -1	0	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[19] -1	0	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[20] -1	0	0x0000e000 - 0x0000e0ff (0x100) IX[B]
	[21] -1	0	0x00004000 - 0x0000400f (0x10) IX[B]
	[22] -1	0	0x000010c0 - 0x000010df (0x20) IX[B]
	[23] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 0.0.2
	ABI class: X.Org Video Driver, version 0.8
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions/libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules/fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 7.0.0, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/lib/xorg/modules/fonts/libtype1.so
(II) Module type1: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.2
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.4
(II) Loading font Type1
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/lib/xorg/modules/linux/libdrm.so
(II) Module drm: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 6.5.7
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 0.8
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input/mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.4
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.5
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input/kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 0.5
(II) ATI: ATI driver (version 6.5.7) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets:
	ATI Rage 128 Mobility M3 LE (PCI), ATI Rage 128 Mobility M3 LF (AGP),
	ATI Rage 128 Mobility M4 MF (AGP), ATI Rage 128 Mobility M4 ML (AGP),
	ATI Rage 128 Pro GL PA (PCI/AGP), ATI Rage 128 Pro GL PB (PCI/AGP),
	ATI Rage 128 Pro GL PC (PCI/AGP), ATI Rage 128 Pro GL PD (PCI),
	ATI Rage 128 Pro GL PE (PCI/AGP), ATI Rage 128 Pro GL PF (AGP),
	ATI Rage 128 Pro VR PG (PCI/AGP), ATI Rage 128 Pro VR PH (PCI/AGP),
	ATI Rage 128 Pro VR PI (PCI/AGP), ATI Rage 128 Pro VR PJ (PCI/AGP),
	ATI Rage 128 Pro VR PK (PCI/AGP), ATI Rage 128 Pro VR PL (PCI/AGP),
	ATI Rage 128 Pro VR PM (PCI/AGP), ATI Rage 128 Pro VR PN (PCI/AGP),
	ATI Rage 128 Pro VR PO (PCI/AGP), ATI Rage 128 Pro VR PP (PCI),
	ATI Rage 128 Pro VR PQ (PCI/AGP), ATI Rage 128 Pro VR PR (PCI),
	ATI Rage 128 Pro VR PS (PCI/AGP), ATI Rage 128 Pro VR PT (PCI/AGP),
	ATI Rage 128 Pro VR PU (PCI/AGP), ATI Rage 128 Pro VR PV (PCI/AGP),
	ATI Rage 128 Pro VR PW (PCI/AGP), ATI Rage 128 Pro VR PX (PCI/AGP),
	ATI Rage 128 GL RE (PCI), ATI Rage 128 GL RF (AGP),
	ATI Rage 128 RG (AGP), ATI Rage 128 VR RK (PCI),
	ATI Rage 128 VR RL (AGP), ATI Rage 128 4X SE (PCI/AGP),
	ATI Rage 128 4X SF (PCI/AGP), ATI Rage 128 4X SG (PCI/AGP),
	ATI Rage 128 4X SH (PCI/AGP), ATI Rage 128 4X SK (PCI/AGP),
	ATI Rage 128 4X SL (PCI/AGP), ATI Rage 128 4X SM (AGP),
	ATI Rage 128 4X SN (PCI/AGP), ATI Rage 128 Pro ULTRA TF (AGP),
	ATI Rage 128 Pro ULTRA TL (AGP), ATI Rage 128 Pro ULTRA TR (AGP),
	ATI Rage 128 Pro ULTRA TS (AGP?), ATI Rage 128 Pro ULTRA TT (AGP?),
	ATI Rage 128 Pro ULTRA TU (AGP?)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE/7000 QY (AGP/PCI), ATI Radeon VE/7000 QZ (AGP/PCI),
	ATI ES1000 515E (PCI), ATI ES1000 5969 (PCI),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI Radeon IGP320 (A3) 4136, ATI Radeon IGP320M (U1) 4336,
	ATI Radeon IGP330/340/350 (A4) 4137,
	ATI Radeon IGP330M/340M/350M (U2) 4337,
	ATI Radeon 7000 IGP (A4+) 4237, ATI Radeon Mobility 7000 IGP 4437,
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
	ATI Radeon 9100 QM (AGP), ATI Radeon 8500 AIW BB (AGP),
	ATI Radeon 8500 AIW BC (AGP), ATI Radeon 7500 QW (AGP/PCI),
	ATI Radeon 7500 QX (AGP/PCI), ATI Radeon 9000/PRO If (AGP/PCI),
	ATI Radeon 9000 Ig (AGP/PCI), ATI FireGL Mobility 9000 (M9) Ld (AGP),
	ATI Radeon Mobility 9000 (M9) Lf (AGP),
	ATI Radeon Mobility 9000 (M9) Lg (AGP),
	ATI Radeon 9100 IGP (A5) 5834,
	ATI Radeon Mobility 9100 IGP (U3) 5835, ATI Radeon 9100 PRO IGP 7834,
	ATI Radeon Mobility 9200 IGP 7835, ATI Radeon 9200PRO 5960 (AGP),
	ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
	ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP), ATI Radeon 9500 AD (AGP),
	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
	ATI FireGL Z1 AG (AGP), ATI Radeon 9700 Pro ND (AGP),
	ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9700 NF (AGP),
	ATI FireGL X1 NG (AGP), ATI Radeon 9600 AP (AGP),
	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP),
	ATI FireGL RV360 AV (AGP),
	ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
	ATI Radeon Mobility 9600 (M10) NQ (AGP),
	ATI Radeon Mobility 9600 (M11) NR (AGP),
	ATI Radeon Mobility 9600 (M10) NS (AGP),
	ATI FireGL Mobility T2 (M10) NT (AGP),
	ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon 9650,
	ATI Radeon 9800SE AH (AGP), ATI Radeon 9800 AI (AGP),
	ATI Radeon 9800 AJ (AGP), ATI FireGL X2 AK (AGP),
	ATI Radeon 9800PRO NH (AGP), ATI Radeon 9800 NI (AGP),
	ATI FireGL X2 NK (AGP), ATI Radeon 9800XT NJ (AGP),
	ATI Radeon X600 (RV380) 3E50 (PCIE),
	ATI FireGL V3200 (RV380) 3E54 (PCIE),
	ATI Radeon Mobility X600 (M24) 3150 (PCIE),
	ATI FireGL M24 GL 3154 (PCIE), ATI Radeon X300 (RV370) 5B60 (PCIE),
	ATI Radeon X600 (RV370) 5B62 (PCIE),
	ATI FireGL V3100 (RV370) 5B64 (PCIE),
	ATI FireGL D1100 (RV370) 5B65 (PCIE),
	ATI Radeon Mobility M300 (M22) 5460 (PCIE),
	ATI FireGL M22 GL 5464 (PCIE), ATI Radeon XPRESS 200 5A41 (PCIE),
	ATI Radeon XPRESS 200M 5A42 (PCIE),
	ATI Radeon XPRESS 200 5A61 (PCIE),
	ATI Radeon XPRESS 200M 5A62 (PCIE),
	ATI Radeon XPRESS 200 5954 (PCIE),
	ATI Radeon XPRESS 200M 5955 (PCIE),
	ATI Radeon XPRESS 200 5974 (PCIE),
	ATI Radeon XPRESS 200M 5975 (PCIE), ATI FireGL V5000 (RV410) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Radeon X700 PRO (RV410) (PCIE),
	ATI Radeon X700 XT (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 SE (RV410) (PCIE),
	ATI Radeon X800 (R420) JH (AGP), ATI Radeon X800PRO (R420) JI (AGP),
	ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
	ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
	ATI Radeon Mobility 9800 (M18) JN (AGP),
	ATI Radeon X800XT (R420) JP (AGP), ATI Radeon X800 SE (R420) (AGP),
	ATI Radeon X800 (R423) UH (PCIE),
	ATI Radeon X800PRO (R423) UI (PCIE),
	ATI Radeon X800LE (R423) UJ (PCIE),
	ATI Radeon X800SE (R423) UK (PCIE),
	ATI FireGL V7200 (R423) UQ (PCIE), ATI FireGL V5100 (R423) UR (PCIE),
	ATI FireGL V7100 (R423) UT (PCIE),
	ATI Radeon X800XT (R423) 5D57 (PCIE), ATI FireGL V7100 (R423) (PCIE),
	ATI Mobility FireGL V5100 (M28) (PCIE),
	ATI Mobility Radeon X800 (M28) (PCIE),
	ATI Mobility Radeon X800 XT (M28) (PCIE),
	ATI Radeon X800 (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
	ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 XTP (R430) (PCIE),
	ATI Radeon X850 5D4C (PCIE), ATI Radeon FireGL (R480) GL 5D50 (PCIE),
	ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
	ATI Radeon X850 XT (R480) (PCIE),
	ATI Radeon X850 XT PE (R480) (PCIE),
	ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
	ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP)
(II) Primary Device is: PCI 01:00:0
(II) ATI:  Candidate "Device" section "Videocard0".
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Radeon 9200PRO 5960 (AGP) found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe6015000 - 0xe60157ff (0x800) MX[B]
	[6] -1	0	0xe6014000 - 0xe60140ff (0x100) MX[B]
	[7] -1	0	0xe6000000 - 0xe600ffff (0x10000) MX[B]
	[8] -1	0	0xe6012000 - 0xe6012fff (0x1000) MX[B]
	[9] -1	0	0xe6011000 - 0xe6011fff (0x1000) MX[B]
	[10] -1	0	0xe6010000 - 0xe6010fff (0x1000) MX[B]
	[11] -1	0	0xe6013000 - 0xe6013fff (0x1000) MX[B]
	[12] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[13] -1	0	0xe5000000 - 0xe500ffff (0x10000) MX[B](B)
	[14] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[15] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[18] -1	0	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[19] -1	0	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[20] -1	0	0x0000e000 - 0x0000e0ff (0x100) IX[B]
	[21] -1	0	0x00004000 - 0x0000400f (0x10) IX[B]
	[22] -1	0	0x000010c0 - 0x000010df (0x20) IX[B]
	[23] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B](B)
(II) Loading sub module "radeon"
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 4.0.3
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 0.8
(II) resource ranges after probing:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0xe6015000 - 0xe60157ff (0x800) MX[B]
	[6] -1	0	0xe6014000 - 0xe60140ff (0x100) MX[B]
	[7] -1	0	0xe6000000 - 0xe600ffff (0x10000) MX[B]
	[8] -1	0	0xe6012000 - 0xe6012fff (0x1000) MX[B]
	[9] -1	0	0xe6011000 - 0xe6011fff (0x1000) MX[B]
	[10] -1	0	0xe6010000 - 0xe6010fff (0x1000) MX[B]
	[11] -1	0	0xe6013000 - 0xe6013fff (0x1000) MX[B]
	[12] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[13] -1	0	0xe5000000 - 0xe500ffff (0x10000) MX[B](B)
	[14] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[15] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[16] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[17] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[20] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[21] -1	0	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[22] -1	0	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[23] -1	0	0x0000e000 - 0x0000e0ff (0x100) IX[B]
	[24] -1	0	0x00004000 - 0x0000400f (0x10) IX[B]
	[25] -1	0	0x000010c0 - 0x000010df (0x20) IX[B]
	[26] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B](B)
	[27] 0	0	0xe40003b0 - 0xe40003bb (0xc) IS[B]
	[28] 0	0	0xe40003c0 - 0xe40003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) RADEON(0): MMIO registers at 0xe5000000
(II) RADEON(0): PCI bus 1 card 0 func 0
(**) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 0.1.0
	ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(--) RADEON(0): Chipset: "ATI Radeon 9200PRO 5960 (AGP)" (ChipID = 0x5960)
(--) RADEON(0): Linear framebuffer at 0xd0000000
(--) RADEON(0): VideoRAM: 131072 kByte (128 bit DDR SDRAM)
(II) RADEON(0): AGP card detected
(II) RADEON(0): Color tiling enabled by default
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/lib/xorg/modules/libddc.so
(II) Module ddc: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.8
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/lib/xorg/modules/libi2c.so
(II) Module i2c: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.2.0
	ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): I2C bus "DDC" initialized.
(II) RADEON(0): Legacy BIOS detected
(II) RADEON(0): Connector0: DDCType-2, DACType-1, TMDSType-0, ConnectorType-3
(II) RADEON(0): Connector1: DDCType-3, DACType-0, TMDSType--1, ConnectorType-2
(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): DDC Type: 2, Detected Type: 3
(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): I2C device "DDC:ddc2" registered at address 0xA0.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): DDC Type: 3, Detected Type: 0
(II) RADEON(0): EDID data from the display on port 1 ----------------------
(II) RADEON(0): Manufacturer: NEC  Model: 661f  Serial#: 1967
(II) RADEON(0): Year: 2003  Week: 28
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 38  vert.: 30
(II) RADEON(0): Gamma: 2.10
(II) RADEON(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) RADEON(0): Default color space is primary color space
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
(II) RADEON(0): blueX: 0.150 blueY: 0.060   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Supported VESA Video Modes:
(II) RADEON(0): 720x400@70Hz
(II) RADEON(0): 640x480@60Hz
(II) RADEON(0): 640x480@67Hz
(II) RADEON(0): 640x480@72Hz
(II) RADEON(0): 640x480@75Hz
(II) RADEON(0): 800x600@56Hz
(II) RADEON(0): 800x600@60Hz
(II) RADEON(0): 800x600@72Hz
(II) RADEON(0): 800x600@75Hz
(II) RADEON(0): 832x624@75Hz
(II) RADEON(0): 1024x768@60Hz
(II) RADEON(0): 1024x768@70Hz
(II) RADEON(0): 1024x768@75Hz
(II) RADEON(0): 1152x870@75Hz
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported Future Video Modes:
(II) RADEON(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 108.0 MHz   Image Size:  376 x 301 mm
(II) RADEON(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688
h_border: 0
(II) RADEON(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066
v_border: 0
(II) RADEON(0): Ranges: V min: 56  V max: 75 Hz, H min: 31  H max: 80 kHz,
PixClock max 140 MHz
(II) RADEON(0): Monitor name: NEC LCD1960NX
(II) RADEON(0): Serial No: 37001967YA
(II) RADEON(0): 
(II) RADEON(0): Primary:
 Monitor   -- TMDS
 Connector -- DVI-I
 DAC Type  -- TVDAC/ExtDAC
 TMDS Type -- Internal
 DDC Type  -- DVI_DDC
(II) RADEON(0): Secondary:
 Monitor   -- NONE
 Connector -- VGA
 DAC Type  -- Primary
 TMDS Type -- NONE
 DDC Type  -- VGA_DDC
(II) RADEON(0): PLL parameters: rf=2700 rd=12 min=20000 max=40000; xclk=20000
(WW) RADEON(0): Failed to detect secondary monitor, MergedFB/Clone mode disabled
(==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
(II) RADEON(0): Validating modes on Primary head ---------
(II) RADEON(0): DFP table revision: 4
(II) RADEON(0): Panel infos found from DDC detailed: 1280x1024
(II) RADEON(0): Valid Mode from Detailed timing table: 1280x1024
(II) RADEON(0): Valid Mode from standard timing table: 1280x1024
(II) RADEON(0): Valid Mode from established timing table: 1024x768
(II) RADEON(0): Valid Mode from established timing table: 1024x768
(II) RADEON(0): Valid Mode from established timing table: 1024x768
(II) RADEON(0): Valid Mode from established timing table: 832x624
(II) RADEON(0): Valid Mode from established timing table: 800x600
(II) RADEON(0): Valid Mode from established timing table: 800x600
(II) RADEON(0): Valid Mode from established timing table: 800x600
(II) RADEON(0): Valid Mode from established timing table: 800x600
(II) RADEON(0): Valid Mode from established timing table: 640x480
(II) RADEON(0): Valid Mode from established timing table: 640x480
(II) RADEON(0): Valid Mode from established timing table: 640x480
(II) RADEON(0): Total of 13 mode(s) found.
(II) RADEON(0): Total number of valid DDC mode(s) found: 13
(--) RADEON(0): Virtual size is 1280x1024 (pitch 1280)
(**) RADEON(0): *Default mode "1280x1024": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "1280x1024"  108.00  1280 1328 1440 1688  1024 1025
1028 1066 +hsync +vsync
(**) RADEON(0):  Default mode "1280x1024": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "1280x1024"  108.00  1280 1328 1440 1688  1024 1025
1028 1066
(**) RADEON(0):  Default mode "1024x768": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "1024x768"  108.00  1024 1328 1440 1688  768 1025 1028
1066 +hsync +vsync
(**) RADEON(0):  Default mode "1024x768": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "1024x768"  108.00  1024 1328 1440 1688  768 1025 1028
1066 -hsync -vsync
(**) RADEON(0):  Default mode "1024x768": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "1024x768"  108.00  1024 1328 1440 1688  768 1025 1028
1066 -hsync -vsync
(**) RADEON(0):  Default mode "832x624": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "832x624"  108.00  832 1328 1440 1688  624 1025 1028
1066 -hsync -vsync
(**) RADEON(0):  Default mode "800x600": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "800x600"  108.00  800 1328 1440 1688  600 1025 1028
1066 +hsync +vsync
(**) RADEON(0):  Default mode "800x600": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "800x600"  108.00  800 1328 1440 1688  600 1025 1028
1066 +hsync +vsync
(**) RADEON(0):  Default mode "800x600": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "800x600"  108.00  800 1328 1440 1688  600 1025 1028
1066 +hsync +vsync
(**) RADEON(0):  Default mode "800x600": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "800x600"  108.00  800 1328 1440 1688  600 1025 1028
1066 +hsync +vsync
(**) RADEON(0):  Default mode "640x480": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "640x480"  108.00  640 1328 1440 1688  480 1025 1028
1066 -hsync -vsync
(**) RADEON(0):  Default mode "640x480": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "640x480"  108.00  640 1328 1440 1688  480 1025 1028
1066 -hsync -vsync
(**) RADEON(0):  Default mode "640x480": 108.0 MHz (scaled from 0.0 MHz), 64.0
kHz, 60.0 Hz
(II) RADEON(0): Modeline "640x480"  108.00  640 1328 1440 1688  480 1025 1028
1066 -hsync -vsync
(**) RADEON(0): Display dimensions: (380, 300) mm
(**) RADEON(0): DPI set to (85, 86)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.2
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/lib/xorg/modules/libramdac.so
(II) Module ramdac: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 0.1.0
	ABI class: X.Org Video Driver, version 0.8
(==) RADEON(0): Using XAA acceleration architecture
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules/libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.2.0
	ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): AGP Fast Write disabled by default
(II) Loading sub module "shadowfb"
(II) LoadModule: "shadowfb"
(II) Loading /usr/lib/xorg/modules/libshadowfb.so
(II) Module shadowfb: vendor="X.Org Foundation"
	compiled for 7.0.0, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.2
(II) RADEON(0): Page flipping disabled
(II) RADEON(0): Will try to use DMA for Xv image transfers
(II) RADEON(0): No MM_TABLE found - assuming CARD is not TV-in capable.
(!!) RADEON(0): For information on using the multimedia capabilities
	of this adapter, please see http://gatos.sf.net.
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xe5000000 - 0xe500ffff (0x10000) MX[B]
	[1] 0	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B]
	[2] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[3] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0	0xe6015000 - 0xe60157ff (0x800) MX[B]
	[8] -1	0	0xe6014000 - 0xe60140ff (0x100) MX[B]
	[9] -1	0	0xe6000000 - 0xe600ffff (0x10000) MX[B]
	[10] -1	0	0xe6012000 - 0xe6012fff (0x1000) MX[B]
	[11] -1	0	0xe6011000 - 0xe6011fff (0x1000) MX[B]
	[12] -1	0	0xe6010000 - 0xe6010fff (0x1000) MX[B]
	[13] -1	0	0xe6013000 - 0xe6013fff (0x1000) MX[B]
	[14] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[15] -1	0	0xe5000000 - 0xe500ffff (0x10000) MX[B](B)
	[16] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[17] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
	[18] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
	[19] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
	[20] 0	0	0x0000d000 - 0x0000d0ff (0x100) IX[B]
	[21] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[22] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[23] -1	0	0x0000ec00 - 0x0000ec7f (0x80) IX[B]
	[24] -1	0	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[25] -1	0	0x0000e400 - 0x0000e47f (0x80) IX[B]
	[26] -1	0	0x0000e000 - 0x0000e0ff (0x100) IX[B]
	[27] -1	0	0x00004000 - 0x0000400f (0x10) IX[B]
	[28] -1	0	0x000010c0 - 0x000010df (0x20) IX[B]
	[29] -1	0	0x0000d000 - 0x0000d0ff (0x100) IX[B](B)
	[30] 0	0	0xe40003b0 - 0xe40003bb (0xc) IS[B](OprU)
	[31] 0	0	0xe40003c0 - 0xe40003df (0x20) IS[B](OprU)
(II) RADEON(0): BIOS HotKeys Disabled
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenByBusid: drmOpenMinor returns 6
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) RADEON(0): [drm] loaded kernel module for "radeon" driver
(II) RADEON(0): [drm] DRM interface version 1.2
(II) RADEON(0): [drm] created "radeon" driver at busid "pci:0000:01:00.0"
(II) RADEON(0): [drm] added 8192 byte SAREA at 0xf8c63000
(II) RADEON(0): [drm] mapped SAREA 0xf8c63000 to 0xb7fee000
(II) RADEON(0): [drm] framebuffer handle = 0xd0000000
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): [agp] Mode 0x1f000201 [AGP 0x1039/0x0651; Card 0x1002/0x5960]
(II) RADEON(0): [agp] 8192 kB allocated with handle 0x00000001
(II) RADEON(0): [agp] ring handle = 0xe0000000
(II) RADEON(0): [agp] Ring mapped at 0xafe5b000
(II) RADEON(0): [agp] ring read ptr handle = 0xe0101000
(II) RADEON(0): [agp] Ring read ptr mapped at 0xafe5a000
(II) RADEON(0): [agp] vertex/indirect buffers handle = 0xe0102000
(II) RADEON(0): [agp] Vertex/indirect buffers mapped at 0xafc5a000
(II) RADEON(0): [agp] GART texture map handle = 0xe0302000
(II) RADEON(0): [agp] GART Texture map mapped at 0xaf77a000
(II) RADEON(0): [drm] register handle = 0xe5000000
(II) RADEON(0): [dri] Visual configs initialized
(II) RADEON(0): Depth moves disabled by default
(II) RADEON(0): CP in BM mode
(II) RADEON(0): Using 8 MB GART aperture
(II) RADEON(0): Using 1 MB for the ring buffer
(II) RADEON(0): Using 2 MB for vertex/indirect buffers
(II) RADEON(0): Using 5 MB for GART textures
(II) RADEON(0): Memory manager initialized to (0,0) (1280,8191)
(II) RADEON(0): Reserved area from (0,1024) to (1280,1026)
(II) RADEON(0): Largest offscreen area available: 1280 x 7165
(II) RADEON(0): Will use back buffer at offset 0x1400000
(II) RADEON(0): Will use depth buffer at offset 0x1900000
(II) RADEON(0): Will use 100352 kb for textures at offset 0x1e00000
(II) RADEON(0): Render acceleration enabled
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Scanline Image Writes
	Offscreen Pixmaps
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(II) RADEON(0): Acceleration enabled
(==) RADEON(0): Backing store disabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Using hardware cursor (scanline 1026)
(II) RADEON(0): Largest offscreen area available: 1280 x 7161
(**) Option "dpms"
(**) RADEON(0): DPMS enabled
(II) RADEON(0): No video input capabilities detected and no information is
provided - disabling multimedia i2c
(II) Loading sub module "theatre_detect"
(II) LoadModule: "theatre_detect"
(II) Loading /usr/lib/xorg/modules/multimedia/theatre_detect_drv.so
(II) Module theatre_detect: vendor="X.Org Foundation"
	compiled for 4.3.99.902, module version = 1.0.0
	ABI class: X.Org Video Driver, version 0.8
(II) RADEON(0): no multimedia table present, disabling Rage Theatre.
(II) RADEON(0): X context handle = 0x1
(II) RADEON(0): [drm] installed DRM signal handler
(II) RADEON(0): [DRI] installation complete
(II) RADEON(0): [drm] Added 32 65536 byte vertex/indirect buffers
(II) RADEON(0): [drm] Mapped 32 vertex/indirect buffers
(II) RADEON(0): [drm] dma control initialized, using IRQ 5
(II) RADEON(0): [drm] Initialized kernel GART heap manager, 5111808
(II) RADEON(0): Direct rendering enabled
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Device: "/dev/input/mice"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/input/mice"
(**) Option "Emulate3Buttons" "yes"
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 9
(**) Option "CoreKeyboard"
(**) Keyboard0: Core Keyboard
(**) Option "Protocol" "standard"
(**) Keyboard0: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Keyboard0: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) Keyboard0: XkbModel: "pc105"
(**) Option "XkbLayout" "us"
(**) Keyboard0: XkbLayout: "us"
(**) Option "CustomKeycodes" "off"
(**) Keyboard0: CustomKeycodes disabled
(II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(II) Mouse0: ps2EnableDataReporting: succeeded

   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x87) [0x80b85e7]
1: [0x916420]
2:
/usr/lib/xorg/modules/extensions/libGLcore.so(_mesa_test_framebuffer_completeness+0x101)
[0x2bb3f1]
3: /usr/lib/xorg/modules/extensions/libGLcore.so(_mesa_update_framebuffer+0x107)
[0x28e507]
4: /usr/lib/xorg/modules/extensions/libGLcore.so(_mesa_update_state+0x4b2)
[0x276b52]
5: /usr/lib/xorg/modules/extensions/libGLcore.so(_mesa_validate_DrawArrays+0xda)
[0x2d180a]
6: /usr/lib/xorg/modules/extensions/libGLcore.so(_tnl_DrawArrays+0x56) [0x357166]
7: /usr/lib/xorg/modules/extensions/libGLcore.so(glDrawArrays+0x34) [0x2a6334]
8: /usr/lib/xorg/modules/extensions/libglx.so(__glXDisp_DrawArrays+0x1fa) [0x1c025a]
9: /usr/lib/xorg/modules/extensions/libglx.so(__glXRender+0xe7) [0x1ba827]
10: /usr/lib/xorg/modules/extensions/libglx.so [0x1be9c7]
11: /usr/bin/Xorg(Dispatch+0x19b) [0x80888eb]
12: /usr/bin/Xorg(main+0x487) [0x80701d7]
13: /lib/libc.so.6(__libc_start_main+0xdc) [0x5bc7e4]
14: /usr/bin/Xorg(FontFileCompleteXLFD+0xb9) [0x806f511]

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 Michael Godfrey 2006-03-06 16:25:08 EST
This seg fault seems to happen on more FC5 test machines. Here is the tail of
the same crash on another machine (also ATI video card):
Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x87) [0x80b85e7]
1: [0xf56420]
2: /usr/lib/xorg/modules/extensions/libGLcore.so(_mesa_make_current+0xf2) [0x74abf2]
3: /usr/lib/xorg/modules/extensions/libGLcore.so(XMesaMakeCurrent2+0x55) [0x8a40f5]
4: /usr/lib/xorg/modules/extensions/libGLcore.so(__MESA_makeCurrent+0x55) [0x88c2f5]
5: /usr/lib/xorg/modules/extensions/libglx.so(DoMakeCurrent+0x3f8) [0x1ccce8]
6: /usr/lib/xorg/modules/extensions/libglx.so(__glXMakeCurrent+0x39) [0x1cceb9]
7: /usr/lib/xorg/modules/extensions/libglx.so [0x1cf9c7]
8: /usr/bin/Xorg(Dispatch+0x19b) [0x80888eb]
9: /usr/bin/Xorg(main+0x487) [0x80701d7]
10: /lib/libc.so.6(__libc_start_main+0xdc) [0x9947e4]
11: /usr/bin/Xorg(FontFileCompleteXLFD+0xb9) [0x806f511]

Fatal server error:
Caught signal 11.  Server aborting
Comment 2 Michael Godfrey 2006-03-06 21:46:14 EST
2 additional notes:

1. This works correctly under FC4 with all latest updates.

2. I can supply URL to download (source), and provide install instructions
   for the application which causes this failure.
Comment 3 Mike A. Harris 2006-03-08 05:49:00 EST
Note for the future:  When adding files to bugzilla, please do not cut and
paste huge log files/configs into the bug comment box.  Use the bugzilla
file attachment feature below, so that the bug remains readable.
Comment 5 Michael Godfrey 2006-03-08 10:29:58 EST
Sorry about that.  Will do bettewr next time.
Comment 6 Michael Godfrey 2006-03-10 17:15:22 EST
This error report seems to be static in the NEEDINFO_ENG
state.  Does this mean that I should do something?

This error will prevent us from using FC5, so I would like to
get it fixed.
Comment 7 Adam Jackson 2006-03-13 10:20:08 EST
NEEDINFO_ENG means "need information from the assigned engineer", which would be me.

i definitely need to know the application that triggers this bug in order to
reproduce it.
Comment 8 Michael Godfrey 2006-03-13 12:48:05 EST
Created attachment 126057 [details]
Source of program which seg faults X11

BUG: 184072

Here are the instructions for recreating the OGL X11 seg
fault:

Compiling and running the attached Magic source:
   First, make sure you have tcl/tk installed. Of course, you
   need the OGL stuff, too.

   Create a new directory for the attached file: magic-7.4.6.tgz
   tar -xzf magic-7.4.6.tgz
   cd magic
   ./configure
   make
   su root
   make install
   exit
   magic -d OGL &    (needs /usr/local/bin in your path)

At this point 2 windows will appear: a drawing window and a console
window. The drawing window should have a row of menus at the top.
Click on options, and select toolbar.  If your experience is like mine,
X11 will crash at this point (instead of drawing a toolbar along
the right hand side of the window).

The compile/installation will put the installed stuff in /usr/local/bin
and usr/local/lib.  If you do not want this, it is possible to name
the target directories on the ./configure command.  Check the included
documentation about this if needed.

Michael
godfrey@isl.stanford.edu
Comment 9 Michael Godfrey 2006-03-23 14:04:04 EST
I just installed the FC5 release and tried Magic -d OGL.
Now it works without segment fault.

Therefore, this error report should be closed.

Thanks,
Michael
Comment 10 Michael Godfrey 2006-03-26 02:21:15 EST
Sorry, I spoke too soon. I just tried the same test as
before on an FC5 system with an ATI Radeon 9200PRO, which
provides "direct rendering: on"

It crashed X11 as before.

All FC5 updates as of today (25 Mar) had been applied.

Michael
Comment 11 Michael Godfrey 2006-03-27 19:08:39 EST
Created attachment 126866 [details]
Xorg.log.old  (from FC5 release, updated to 27 March)

This is similar the the previous Xorg.log, but is from the
current FC5 release Xorg level.
Comment 12 Michael Godfrey 2006-03-27 19:28:22 EST
One more bit of information: the Magic maintainer said:

First, it tends to bring out all the
errors in OpenGL implementations (especially the toolbar, which
uses off-screen rendering, which has proven to be the most likely
source of error for OpenGL drivers). 

This was in response to my question about turning on the OGL
capability in Magic.
Comment 13 Michael Godfrey 2006-04-13 17:05:53 EDT
Installed new xorg-x11-server (xorg-x11-server-Xorg-1.0.1-9.fc5), but it
crashes as before.
Comment 14 Marek Greško 2006-05-31 07:32:38 EDT
I also get crashes on fc5 + OpenGL with radeon driver and also with AT fglrx driver.
Comment 15 Mike A. Harris 2006-07-19 06:09:26 EDT
Does this problem happen with Fedora development X?  You'll need the
X server, mesa, and all their dependencies to test.  We'll be releasing
X11R7.1 for FC5 as an update, so it would be nice to know if the problem
is already fixed there.

TIA
Comment 16 Michael Godfrey 2006-07-19 10:29:25 EDT
Mike,

I will give it a try soon.  I assume the 7.1 stuff is in the development tree 
somewhere.
Comment 17 Michael Godfrey 2006-07-21 12:43:50 EDT
I looked in .../updates/testing/5/i386 but found nothing
that looked like a 7.1 update of xorg.

We are hoping for some other corrections to xorg as well, so
please tell me when 7.1 is ready for test.

Thanks,
Michael
Comment 18 Michael Godfrey 2006-07-22 20:20:53 EDT
Created attachment 132874 [details]
zip file containg xorg.conf, Xorg.0.log, and rpm.xorg

Configuration and log files
Comment 19 Michael Godfrey 2006-07-30 19:14:02 EDT
It appears that one of my comments got lost.  The attachement
referred to in comment #18 comes from an FC6 development
system. I followed the suggestion of Mike Harris in comment #15
and built an FC6 development system.  It fails in the same manner
as FC5.  I have retested this error when xorg updates have
appeared.  The failure still happens as before.

Michael
Comment 20 Michael Godfrey 2006-08-19 14:54:35 EDT
I tried the Magic -d OGL test again on 18 August, using the current
development FC6.  The problem still exists as before.  It is getting
closer to FC6 release, so it might be good to work on this.

Thanks,
Michael
Comment 21 Michael Godfrey 2006-09-08 23:59:23 EDT
I tried the Magic -d OGL test again on about end of August, using current
development FC6. The problem still exists as before.  It is getting
closer to FC6 release, so it might be good to work on this.

Probably too late for FC6 release. Too bad.

Is OGL being given up on, or what?

Thanks,
Michael
Comment 22 Michael Godfrey 2006-10-04 16:31:01 EDT
I tried the Magic -d OGL test again on 4 October, using current
development FC6. The problem still exists as before.  It is getting
closer to FC6 release, so it might be good to work on this.

Probably too late for FC6 release. Too bad.

Michael
Comment 23 Jason Tibbitts 2006-10-14 20:45:04 EDT
I'm seeing an essentially identical backtrace on a Radeon 9100 IGP (the machine
is an Asus Pundit-R).  The application that triggers it is Matlab 2006a.  The
user seems to be able to trigger it with regularity, although I do not yet have
a complete set of instructions for doing so.
Comment 24 Kristian Høgsberg 2006-10-16 14:28:14 EDT
Just a wild guess here: does setting the environtment variable
XLIB_SKIP_ARGB_VISUALS=1 make a difference?
Comment 25 Michael Godfrey 2006-10-16 14:44:50 EDT
does setting the environtment variable
XLIB_SKIP_ARGB_VISUALS=1 make a difference?

Using the current FC6 development system, the answer is NO.
Comment 26 Jason Tibbitts 2006-10-26 12:26:41 EDT
My users have now started reporting this same crash on machines with Savage video: 

01:00.0 VGA compatible controller: S3 Inc. VT8375 [ProSavage8 KM266/KL266]

so this seems to be a Mesa problem instead of an ATI problem.

This is now really starting to kill me, as we use Matlab extensively here.  I'll
first try disabling DRI and if it doesn't work I'm not sure what I can do.
Comment 27 Michael Godfrey 2006-10-26 22:44:29 EDT
It is now close to 10 months since this error was reported,
and the problems it causes seem to be accumulating.

Since this is easily reproduced with the program supplied
it should not take more than about 10 minutes to recreate the
seg. fault in a debig enviroment.

Anyone have a spare 15 minutes for us users?
Comment 28 Matěj Cepl 2006-10-31 04:15:48 EST
I cannot reproduce it here with Fedora Core 6, Intel 915GM (laptop) and "intel"
driver in Xorg. I have no clue what the program is supposed to do, but I can
certainly compile it, install, and run via menus (at least to the point of
clicking on File/Quit).

Could you please try to reproduce this bug with FC6?
Comment 29 Michael Godfrey 2006-10-31 13:57:07 EST
From Comment #28:
>>Could you please try to reproduce this bug with FC6?

Yes, I did that and it crashes as it did before under FC5 and all test
releases of FC6.

Could you review the test instructions?  It is essential that OGL
is used.  The instructions are:

magic -d OGL &  

At this point 2 windows will appear: a drawing window and a console
window. The drawing window should have a row of menus at the top.
Click on options, and select toolbar.  If your experience is like mine,
X11 will crash at this point (instead of drawing a toolbar along
the right hand side of the window).
=============================================================

Are you sure your machine has OGL installed an it is supported?

Michael
Comment 30 Jason Tibbitts 2006-10-31 14:25:58 EST
Also note that so far I have only seen this problem on Radeon and Savage chips;
it is possible that Intel is somehow immune.
Comment 31 Matěj Cepl 2006-10-31 17:45:00 EST
I have compiled program per your instructions, then run according to your
instructions (of course, I have included -d OGL to the command line) and it
worked. To make it short, my experience was not like yours :-).
Comment 32 Michael Godfrey 2006-11-21 23:04:39 EST
As of the X11 updates to FC6 of 21 November, magic -dOGL no
longer causes a seg fault in X11. Instead it freezes the console
screen.  Reset, or login from another machine is the only way out,
it seems. I tried 2 machines and got the same results.

So, I guess that the summary should be changed from "crash"
to "freeze."

Michael
Comment 33 Matěj Cepl 2006-12-13 17:53:16 EST
Concerning comment 30 -- yes, I was testing this on i915GM, so you may be right.
Comment 34 Matěj Cepl 2007-07-03 09:50:06 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 35 Michael Godfrey 2007-07-23 20:18:01 EDT
I just tried the test on current F7.  Now it works just fine.

Thanks very much for correcting this problem.

Michael Godfrey

Note You need to log in before you can comment on or make changes to this bug.